Last Comment Bug 315476 - Add id attributes for overlays to navigatorOverlay.xul
: Add id attributes for overlays to navigatorOverlay.xul
Status: RESOLVED FIXED
SeaMonkey-only code
: fixed1.8
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: unspecified
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: Alex Vincent [:WeirdAl]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-07 16:56 PST by Alex Vincent [:WeirdAl]
Modified: 2005-11-09 12:41 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch for SM1.0 branch (3.80 KB, patch)
2005-11-07 17:04 PST, Alex Vincent [:WeirdAl]
jag-mozilla: review+
jag-mozilla: superreview+
asa: approval1.8rc2+
Details | Diff | Splinter Review

Description Alex Vincent [:WeirdAl] 2005-11-07 16:56:09 PST
Our corporate product, which at first will be based on SeaMonkey 1.0, will want to overlay certain menu items of SM1.0.  This bug is to add ID attributes to the xpfe section, lining up their values with the corresponding toolkit values when possible.
Comment 1 Alex Vincent [:WeirdAl] 2005-11-07 17:04:38 PST
Created attachment 202181 [details] [diff] [review]
patch for SM1.0 branch

This patch just adds ID attributes to a single XUL file, bringing two elements in line with Firefox for forwards-compatibility.  The third one, Debug, Firefox doesn't have.
Comment 2 Alex Vincent [:WeirdAl] 2005-11-07 17:15:44 PST
Comment on attachment 202181 [details] [diff] [review]
patch for SM1.0 branch

seeking driver's approval for 1.8 branch (xpfe only, adding ID attributes only, does not affect Firefox or Thunderbird)
Comment 3 Alex Vincent [:WeirdAl] 2005-11-08 09:52:48 PST
fixed by timeless on trunk, holding open for SeaMonkey branch

Note You need to log in before you can comment on or make changes to this bug.